function [xmin xmax] = find_plot_domain(data, threshold)

% Used by style_plot.m

data = center(quickscale(abs(data)), 'moment');
N = length(data);
% if data is not a vector (2-D search)
if ~isvector(data)
    xmin = [0 0];
    xmax = [0 0];
    data_curr_x = max(data(:,1));
    data_curr_y = max(data(1,:));
    k = 1;
    while data_curr_x < threshold || data_curr_y < threshold
        k = k+1;
        data_curr_x = max(data(:,k));
        data_curr_y = max(data(k,:));
        if data_curr_x >= threshold && xmin(1) == 0
            xmin(1) = k;
        end
        if data_curr_y >= threshold && xmin(2) == 0
            xmin(2) = k;
        end
    end
    
    data_curr_x = max(data(:,N));
    data_curr_y = max(data(N,:));
    k = N;
    while data_curr_x < threshold || data_curr_y < threshold
        k = k-1;
        data_curr_x = max(data(:,k));
        data_curr_y = max(data(k,:));
        if data_curr_x >= threshold && xmax(1) == 0
            xmax(1) = k;
        end
        if data_curr_y >= threshold && xmax(2) == 0
            xmax(2) = k;
        end
    end
else % if data is a vector
    data_curr = data(1);
    k = 2;
    while data_curr < threshold
        data_curr = data(k);
        k = k+1;
    end
    xmin = k;

    data_curr = data(N);
    k = N-1;
    while data_curr < threshold
        data_curr = data(k);
        k = k-1;
    end
    xmax = k;
end